Subject: Re: Explaining the XDP page-requirement (Was: [PATCH v2 net-next 0/8] dpaa2-eth: Introduce XDP support)

From: Ilias Apalodimas <[email-masked]>
Date: Mon, 7 Jan 2019 12:53:42 +0200

Hi Ioana,
> > > Thanks a lot, that's great info, especially for someone who hasn't followed
> > > so closely xdp development from its beginning.
> > >
> > > I'll look into updating the dpaa2-eth driver to use one page per frame and
> > > see how that goes.
> > 
> > If you have time, we can discuss merging whatever hardware features are
> > not
> > supported in the page_pool API and use that to allocate pages?
> 
> Sure. I'd like to first transition to plain page allocations instead of
> napi_alloc_frag() and validate that's ok (I've been meaning to try that for
> a while now but haven't got around to it yet), and then we can explore
> how that might be integrated in page_pool.

Great, ping us if you need anything

Thanks
/Ilias